
public class Class378_Sub2_Sub2 extends Class378_Sub2 {

   byte[] aByteArray10200;


   void method14390(int var1, byte var2) {
      int var3 = var1 * 2;
      int var4 = var2 & 255;
      this.aByteArray10200[var3++] = (byte)(3 * var4 >> 5);
      this.aByteArray10200[var3] = (byte)(3 * var4 >> 5);
   }

   byte[] method15803(int var1, int var2, int var3) {
      this.aByteArray10200 = new byte[var1 * var2 * var3 * 2];
      this.method6580(var1, var2, var3);
      return this.aByteArray10200;
   }

   Class378_Sub2_Sub2() {
      super(8, 5, 8, 8, 2, 0.1F, 0.55F, 3.0F);
   }

   byte[] method15804(int var1, int var2, int var3) {
      this.aByteArray10200 = new byte[var1 * var2 * var3 * 2];
      this.method6580(var1, var2, var3);
      return this.aByteArray10200;
   }

   void method14389(int var1, byte var2) {
      int var3 = var1 * 2;
      int var4 = var2 & 255;
      this.aByteArray10200[var3++] = (byte)(3 * var4 >> 5);
      this.aByteArray10200[var3] = (byte)(3 * var4 >> 5);
   }
}
